000016597 - Resolve FIPS mode incompatibility with Java Auth Agent SDK for Java

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000016597
Applies ToAuthentication Agent SDK for Java 8.x
Using Auth Agent API and jsafeFIPS-4.0 and/or jsafeJCEFIPS-4.0 jars in same environment
IssueResolve FIPS mode incompatibility with Java Auth Agent SDK for Java
"'Can't change the mode in a non-FIPS140 toolkit'" when calling CryptoJ.setMode(CryptoJ.FIPS140_SSL_MODE);
CauseThe crypto.jar provided with the Auth Agent SDK does not support FIPS mode.
ResolutionA 8.1 SP2 hotfix is available.  Please call RSA Customer Support and request hotfix AAJAVA-170.
Legacy Article IDa59232

Attachments

    Outcomes